# Gimp.Image.convert_precision

    @accepts(Gimp.Image, Gimp.Precision)
    @returns(bool)
    def convert_precision(self, precision):
        # Python wrapper for gimp_image_convert_precision()

Convert the image to the specified precision

This procedure converts the image to the specified precision. Note that indexed images cannot be converted and are always in GIMP_PRECISION_U8.

Since 2.10

self

  The image.

precision

  The new precision.

Returns